NetBSD.SE Logotype
Meny
Välkommen till NetBSD.se

Sök bland pkgsrc/wip:Sök efter manual:
 


Security Advisory 2004-010: Insufficient argument validation in compat code
2004-12-16 21:57:08 inskickat av Emil Hessman

SäkerhetEtt säkerhetsrådgivande meddelande gällande NetBSDs binärstöd för andra operativsystems binärer har publicerats.

Saxat ur Security Advisory 2004-010:

"Kernel syscall implementations must perform appropriate sanity checks on data passed from userland. The native system calls perform appropriate checks.

Some of the functions in /usr/src/sys/compat/* which implement execution of foreign binaries (such as Linux, FreeBSD, IRIX, OSF1, SVR4, HPUX, and ULTRIX) used argument data in unsafe ways prior to calling the kernel syscall."


Läs meddelandet i e-postarkivet: NetBSD Security Advisory 2004-010: Insufficient argument validation in compat code


skrivut.gif Utskriftsformat mail.gif Skicka artikeln till någon


Kommentarer tillhörande (Security Advisory 2004-010: Insufficient argument validation in compat code)


Namn (tomt = anonym):
Din email:






© 2003-2008 NetBSD.se
Materialet som publicerats på denna sida tillhör respektive författare. Materialet får kopieras med förutsättning av att källanvisning medförs som i detta fall är www.netbsd.se. Eventuella kommentarer tillhör skrivande individ. All information erbjuds utan garanti på funktion och duglighet och NetBSD.se tar inget ansvar för händelser som åsakats på grund av något på denna sida. NetBSD är ett registrerat varumärke som tillhör The NetBSD Foundation. Alla varumärken och copyright på denna sida ägs av deras respektive ägare. Vår maskot går under BSD-licensen och är fri att användas.